Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 817324 - Brightness keys have no effect on Asus K53S (specifically K53SD-SX132V)
Summary: Brightness keys have no effect on Asus K53S (specifically K53SD-SX132V)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: first=3.3.4 brightness hotkeys
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-29 04:56 UTC by Chris G
Modified: 2013-01-02 13:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-02 13:15:47 UTC
Type: Bug


Attachments (Terms of Use)
Xorg log file (33.51 KB, text/x-log)
2012-04-29 04:56 UTC, Chris G
no flags Details

Description Chris G 2012-04-29 04:56:31 UTC
Created attachment 581013 [details]
Xorg log file

Description of problem:
Pressing the brightness keys (Fn+F5 and Fn+F6) does not change the brightness of the screen, and the on-screen-notification is not displayed.

Running acpi_listen while pressing the brightness keys displays no output.

Echoing a value to /sys/class/backlight/acpi_video0/brightness changes the brightness successfully.  Also, the "System Settings -> Brightness and Lock" panel works as expected, although these two methods appear to work independently of each other.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Press Fn+F5 or Fn+F6
2.
3.
  
Actual results:
No action

Expected results:
On-screen-notification displayed and screen brightness changed.

Additional info:
This is a fresh installation of Fedora 17 Beta, installed via the netinstall ISO on 29/4/2112.
Linux biscuit 3.3.4-1.fc17.x86_64 #1 SMP Fri Apr 27 18:39:03 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

The same behaviour has also been observed on Ubuntu 12.04.

The only change I have made is to remove the the nouveau driver by uninstalling the rpm and remaking the initrd file.  So only the i915 driver is in use. This was done in an attempt to resolve the problem, but had no effect.

I have also tried the following kernel parameters: acpi_backlight=vendor acpi_osi=Linux xdriver=intel

lspci output for the VGA adapter is:

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 1652
	Flags: bus master, fast devsel, latency 0, IRQ 51
	Memory at dc400000 (64-bit, non-prefetchable) [size=4M]
	Memory at b0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at e000 [size=64]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [d0] Power Management version 2
	Capabilities: [a4] PCI Advanced Features
	Kernel driver in use: i915

Comment 1 Justin M. Forbes 2012-12-07 16:40:08 UTC
Is this still an issue with 3.6.9 kernels?


Note You need to log in before you can comment on or make changes to this bug.